teams
Endpoints for creating, getting and interacting with teams.
Create a team
Create a new team on the system.
Get teams
For regular users only returns open teams. Users with the โmanage_systemโ permission will return teams regardless of type. The result is based on query string parameters - page and per_page.
Get a team
Get a team on the system.
Update a team
Update a team by providing the team object. The fields that can be updated are defined in the request body, all other provided fields will be ignored.
Delete a team
Soft deletes a team, by marking the team as deleted in the database. Soft deleted teams will not be accessible in the user interface.
Patch a team
Partially update a team by providing only the fields you want to update. Omitted fields will not be updated. The fields that can be updated are defined in the request body, all other provided fields will be ignored.
Update teams's privacy
Updates team's privacy allowing changing a team from Public (open) to Private (invitation only) and back.
Restore a team
Restore a team that was previously soft deleted.
Get a team by name
Get a team based on provided name string
Search teams
Search teams based on search term and options provided in the request body.
Check if team exists
Check if the team exists based on a team name.
Get a user's teams
Get a list of teams that a user is on.
Get team members
Get a page team members list based on query string parameters - team id, page and per page.
Add user to team
Add user to the team by user_id.
Add user to team from invite
Using either an invite id or hash/data pair from an email invite link, add a user to a team.
Add multiple users to team
Add a number of users to the team by user_id.
Get team members for a user
Get a list of team members for a user. Useful for getting the ids of teams the user is on and the roles they have in those teams.
Get a team member
Get a team member on the system.
Remove user from team
Delete the team member object for a user, effectively removing them from a team.
Get team members by ids
Get a list of team members based on a provided array of user ids.
Get a team stats
Get a team stats on the system.
Get the access control policy for a team
Get the attribute-based access control policy assigned to a team, along
Get the access control attributes governing a team
Get the attributes used by the team's membership access control policy,
Regenerate the Invite ID from a Team
Regenerates the invite ID used in invite links of a team
Get the team icon
Get the team icon of the team.
Sets the team icon
Sets the team icon for the team.
Remove the team icon
Remove the team icon for the team.
Update a team member roles
Update a team member roles. Valid team roles are โteam_userโ, โteam_adminโ or both of them. Overwrites any previously assigned team roles.
Update the scheme-derived roles of a team member.
Update a team member's scheme_admin/scheme_user properties. Typically this should either be `scheme_admin=false, scheme_user=true` for ordinary team member, or `scheme_admin=true, scheme_user=true` for a team admin.
Get team unreads for a user
Get the count for unread messages and mentions in the teams the user is a member of.
Get unreads for a team
Get the unread mention and message counts for a team for the specified user.
Invite users to the team by email
Invite users to the existing team using the user's email.
Invite guests to the team by email
Invite guests to existing team channels usign the user's email.
Invalidate active email invitations
Invalidate active email invitations that have not been accepted by the user.
Get invite info for a team
Get the `name`, `display_name`, `description` and `id` for a team from the invite id.
Set a team's scheme
Set a team's scheme, more specifically sets the scheme_id value of a team record.
Team members minus group members.
Get the set of users who are members of the team minus the set of users who are members of the given groups.
Search files in a team
Search for files in a team based on file name, extention and file content (if file content extraction is enabled and supported for the files).